CREATE procedure [C6Staging].[RP_ST_DettaglioOperazione] as
begin 
	-- Log esecuzione
	INSERT INTO LOG_ESECUZIONE
		(Nome, Inizio, Nota)
	VALUES (
		'RP_ST_DettaglioOperazione',
		GETDATE(),
		'Elaborazione giornaliera'
	)
	truncate table c6staging.RP_DettaglioOperazione
	--drop table c6staging.RP_DettaglioOperazione
	insert into c6staging.RP_DettaglioOperazione
	--select * into c6staging.RP_DettaglioOperazione from [CONSUNI].[ConsulenzaUnica].dbo.DettaglioOperazione
	select  [chiaveProposta]
      ,[codTipoOperazione]
      ,[chiavePosizionePtf]
      ,[chiavePosizionePro]
      ,[chiaveContratto]
      ,[ctv]
      ,[ptfIniziale]
      ,[quantitaNominale]
      ,[ctvNonRappresentabile]
      ,[investi]
      ,[disinvesti]
      ,[rischioCredito]
      ,[rischioMercato]
      ,[copertura]
      ,[percOperazione]
      ,[gestPO]
      ,[relOperazione]
      ,[opEseguita]
      ,[posRiallocata]
      ,[nomeProgettoProp]
      ,[areaProp]
      ,[isAttivoRC]
      from [CONSUNI].[ConsulenzaUnica].dbo.DettaglioOperazione
	-- Log esecuzione
	UPDATE
		LOG_ESECUZIONE
	SET
		Fine = GETDATE(),
		Tipo = 'INSERT',
		Righe = @@ROWCOUNT
	WHERE
		Nome = 'RP_ST_DettaglioOperazione' AND
		Inizio = (
			SELECT
				MAX(Inizio)
			FROM
				LOG_ESECUZIONE
			WHERE
				Nome = 'RP_ST_DettaglioOperazione'
		)
end